Security update for curl

SUSE Security Update: Security update for curl
Announcement ID: SUSE-SU-2020:14585-1
Rating: moderate
References: #1179398 #1179399
Cross-References:CVE-2020-8284 CVE-2020-8285
Affected Products:
  • SUSE Linux Enterprise Server 11-SECURITY

An update that fixes two vulnerabilities is now available.

Description:

This update for curl fixes the following issues:

  • CVE-2020-8284: Fixed an issue where a malicious FTP server could make curl connect to a different IP (bsc#1179398).
  • CVE-2020-8285: Fixed an FTP wildcard stack overflow (bsc#1179399).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Server 11-SECURITY:
    zypper in -t patch secsp3-curl-14585=1

Package List:

  • SUSE Linux Enterprise Server 11-SECURITY (i586 ia64 ppc64 s390x x86_64):
    • curl-openssl1-7.37.0-70.57.1
    • libcurl4-openssl1-7.37.0-70.57.1
  • SUSE Linux Enterprise Server 11-SECURITY (ppc64 s390x x86_64):
    • libcurl4-openssl1-32bit-7.37.0-70.57.1
  • SUSE Linux Enterprise Server 11-SECURITY (ia64):
    • libcurl4-openssl1-x86-7.37.0-70.57.1

References: